/*Common start*/
body {
    background-color: #f6fdff;
}

.first-story-content, .second-story-content, .story2half-content, .let-the-story-tell-content, .action-title h3, .datetime-info-group h2, .datetime-info-group h3, .map-card h2 {
    font-family: 'Noto Serif TC', serif;
}

.section {
    margin: 5px 0;
    width: 95%;
}

.container {
    max-width: 1440px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
}

.our-story-title, .where-and-when {
    font-family: 'Playball', cursive;
}

/*Common end*/

/*Banner start*/

.banner {
    background: url("../img/0-banner.jpg");
    background-position: 0 -150px;
    background-size: cover;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.banner-title {
    display: flex;
    justify-content: center;
    align-items: center;
    border: #FFFFFF 1.5px solid;
}

.banner-title h1 {
    font-family: 'Playball', cursive;
}

.banner h1 {
    line-height: 1.5em;
    text-align: center;
    font-size: 70px;
    padding: 20px 100px;
    color: #FFFFFF;
    text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.4), 0px 8px 13px rgba(0, 0, 0, 0.1), 0px 18px 23px rgba(0, 0, 0, 0.1);
}

/*Banner end*/

/*Story Common start*/

.story-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.story {
    display: flex;
    justify-content: space-between;
    margin: 25px 0;
}

.story-photo {
    margin: 20px;
    max-width: 600px;
}

.story-photo-column {
    max-width: 400px;
}

.story-photo-row {
    max-width: 600px;
}

/*Story Common end*/

/*First Story start*/

.first-story {
    flex-direction: row;
}

.first-story-photo {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    height: 750px;
    opacity: 1;
}

.first-story-top-layer-photo {
    margin-top: -150px;
    margin-left: 100px;
    transition: 1.5s;
    opacity: 1;
}

.first-story-lower-layer-photo {
    transition: 1s;
    opacity: 1;
}

.first-story-top-photo-fade-out {
    margin-top: -300px;
    margin-left: 100px;
    opacity: 0;
    transition: 1.5s;
}

.first-story-lower-photo-fade-out {
    opacity: 0;
    transition: 1s;
}

.first-story-content {
    line-height: 1.8em;
    font-size: 18px;
    margin: 20px;
    max-width: 600px;
    transition: 1.3s;
    opacity: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.first-story-content-fade-out {
    margin-top: 20px;
    margin-bottom: 20px;
    margin-left: 150px;
    transition: 1.3s;
    opacity: 0;
}

/*First Story end*/

/*Second Story start*/

.second-story {
    flex-direction: row-reverse;
}

.second-story-photo {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    height: 560px;
}

.second-story-top-layer-photo {
    margin-top: -500px;
    margin-left: 450px;
    transition: 1.5s;
    opacity: 1;
}

.second-story-lower-layer-photo {
    transition: 1s;
    opacity: 1;
}

.second-story-top-photo-fade-out {
    margin-top: -500px;
    margin-left: 450px;
    opacity: 0;
    transition: 1.5s;
}

.second-story-lower-photo-fade-out {
    opacity: 0;
    transition: 1s;
    margin-bottom: -200px;
}

.second-story-content {
    line-height: 1.8em;
    font-size: 18px;
    margin: 20px;
    max-width: 600px;
    transition: 1.3s;
    opacity: 1;
}

.second-story-content-fade-out {
    margin-top: 20px;
    margin-bottom: 20px;
    margin-right: 150px;
    transition: 1.3s;
    opacity: 0;
}

/*Second Story end*/

/*2.5 Story start*/

.story2half {
    width: 100%;
    height: 100vh;
    background: linear-gradient(115deg, #5c4335 40%, transparent 40%) center center / 100% 100%,
    url("../img/2-5.jpg") right center / auto 100%;
    color: #FFFFFF;
}

.story2half-content {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 5%;
}

.story2half-content p {
    display: block;
    line-height: 1.3em;
    font-size: 18px;
}

.story2half-content h3 {
    font-family: 'Great Vibes', cursive;
    font-style: italic;
    margin-bottom: 30px;
    font-size: 55px;
    text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.4), 0px 8px 13px rgba(0, 0, 0, 0.1), 0px 18px 23px rgba(0, 0, 0, 0.1);
    display: block;
}

/*2.5 Story end*/

/*Third Story start*/

.third-story-photo-left {
    max-width: 30%;
    transition: 2s;
    opacity: 1;
    position: relative;
    left: 0;
}

.third-story-photo-center {
    max-width: 30%;
    transition: 1s;
    opacity: 1;
}

.third-story-photo-right {
    max-width: 30%;
    transition: 3s;
    opacity: 1;
    position: relative;
    right: 0;
}

.third-story-photo-left-fade-out {
    position: relative;
    left: 35%;
    opacity: 0;
    transition: 2s;
}

.third-story-photo-center-fade-out {
    opacity: 0;
    transition: 1s;
}

.third-story-photo-right-fade-out {
    opacity: 0;
    position: relative;
    right: 35%;
    transition: 3s;
}

/*Third Story end*/

/*Let the Story Tell start*/

.let-the-story-tell {
    background: url("../img/5-let-the-story-tell.jpg");
    background-size: cover;
    width: 100%;
    height: 100vh;
    position: relative;
}

.let-the-story-tell-content {
    display: block;
    position: absolute;
    left: 5%;
    bottom: 5%;
    z-index: 1;
    font-size: 24px;
    line-height: 1.5em;
    padding: 20px;
    color: #FFFFFF;
    text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.4), 0px 8px 13px rgba(0, 0, 0, 0.1), 0px 18px 23px rgba(0, 0, 0, 0.1);
}

.let-the-story-tell-content:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    filter: blur(10px);
    z-index: -1;
    margin: -10px;
}

/*Let the Story Tell end*/

/*Action start*/

.action-title {
    width: 100%;
    margin: 50px 0;
}

.action-title h2 {
    font-size: 48px;
    text-align: center;
    margin-bottom: 50px;
}

.action-title h3 {
    text-align: center;
    font-size: 28px;
    line-height: 1.5em;
}

.action-title-division {
    margin-bottom: 50px;
}

.our-story-title {
    font-size: 60px;
    text-align: center;
    margin-top: 50px;
}

/*Action end*/

/*Count Down start*/

.countdown {
    background: url("../img/6-countdown.jpg");
    background-size: cover;
    width: 100%;
    height: 600px;
    background-attachment: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
}

.countdown-panel {
    max-width: 1024px;
    justify-content: space-evenly;
    margin: 0 auto;
    display: flex;
}

.countdown-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 25px;
}

.countdown-number {
    background-color: #84b9af;
    color: #FFFFFF;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    text-align: center;
    line-height: 100px;
    font-size: 32px;
    margin-bottom: 20px;
}

.countdown-unit {
    color: #84b9af;
    font-size: 32px;
}

/*Count Down end*/

/*Action Info start*/

.action-info {
    background-color: #84b9af;
}

.action-info-main {
    margin: 0 auto;
    padding: 50px 0;
    max-width: 1440px;
    display: flex;
    justify-content: space-evenly;
}

.datetime-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 50px;
}

.datetime-info-group {
    margin: 15px 0;
}

.datetime-info-group h2, .datetime-info-group h3 {
    line-height: 1.3em;
    color: #FFFFFF;
    text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.1), 0px 8px 13px rgba(0, 0, 0, 0.1), 0px 18px 23px rgba(0, 0, 0, 0.1);
}

.datetime-info-group h2 {
    font-size: 22px;
}

.datetime-info-group h3 {
    font-size: 36px;
}

/*Action Info end*/

/*Map Card start*/

.map-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.map-card h2 {
    text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.1), 0px 8px 13px rgba(0, 0, 0, 0.1), 0px 18px 23px rgba(0, 0, 0, 0.1);
    font-size: 40px;
    text-align: center;
    margin: 25px 0;
}

.map-card img {
    width: 50%;
    margin-bottom: 25px;
}

/*Map Card end*/

/*Footer start*/

.footer {
    background-color: #FFFFFF;
    font-size: 14px;
    text-align: center;
    padding: 10px;
}

/*Footer end*/
